<?php
/*
 // K2 Maps V1.1.1
 // Copyright (c) 2009 - 2010 Simon Wells. All rights reserved.
 // Released under the GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 // More info at http://simon.getk2.org
 // Last update: 24th May 2010
 // Change Log
 // V1.0 Initial Release
 // V1.1 Removed display instance from Category and Category View, only displays in the K2 Item page
 // V1.1.1 Updated Copyright and Support information following user and file moving to new domain
 */

// no direct access
defined('_JEXEC') or die ('Restricted access');
JLoader::register('K2Plugin', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_k2'.DS.'lib'.DS.'k2plugin.php');

/**
 * K2 Plugin to display Google map in a K2 Item.
 */

class plgK2Maps extends K2Plugin {

	// Some params
	var $pluginName = 'maps';
	var $pluginNameHumanReadable = 'Google Maps';

	function plgK2Youtube( & $subject, $params) {
	
		parent::__construct($subject, $params);
	}

	// Event to display the Map.
	function onK2AfterDisplayContent( & $item, & $params, $limitstart) {
	
		global $mainframe;
	
		$plugin = & JPluginHelper::getPlugin('k2', 'maps');
		$pluginParams = new JParameter($plugin->params);
		$view	= JRequest::getCmd('view');
		
		$apikey = $pluginParams->get('apikey');
	
		$plugins = new K2Parameter($item->plugins, '', $this->pluginName);
		$vidmap = $plugins->get('classmap');
		$longitude = $plugins->get('longitude');
		$latitude = $plugins->get('latitude');
		$marker = $plugins->get('marker');
		$color = $plugins->get('color');
		$zoom = $plugins->get('zoom', 12);
		$width = $plugins->get('width', 400);
		$height = $plugins->get('height', 200);
		$type = trim($plugins->get('type', 'map'));

		if ($view == 'item')
		{
		if ($apikey=="") {
		$output ='';
		}
		else {
		if($vidmap == 1)
		{
			$output = '<img src="http://static-maps.yandex.ru/1.x/?ll='.$latitude.','.$longitude.'&size='.$width.','.$height.'&z='.$zoom.'&l='.$type.'&pt='.$latitude.','.$longitude.',pm'.$color.'m'.$marker.'&key='.$apikey.'"/>';
		}
		else
		{
		switch($color)
		{
			case 'gn': $style = "default#greenPoint";
			break;
			case 'bl': $style = "default#bluePoint";
			break;
			case 'yw': $style = "default#yellowPoint";
			break;
			case 'pn': $style = "default#pinkPoint";
			break;
			default: $style = "default#redPoint";
		}
	  
	  switch($type)
		{ 	
		case 'sat': $type_map = 'YMaps.MapType.SATELLITE';
		break;		
		case 'sat,skl': $type_map = 'YMaps.MapType.HYBRID';
		break;
		default: $type_map = 'YMaps.MapType.MAP';
		}
		
		 $output ='<script src="http://api-maps.yandex.ru/1.1/index.xml?key='.$apikey.'" type="text/javascript"></script>

    <script type="text/javascript">

        // Создание обработчика для события window.onLoad

        YMaps.jQuery(function () {
            var map = new YMaps.Map(YMaps.jQuery("#YMapsID")[0]);           
            map.setCenter(new YMaps.GeoPoint('.$latitude.','.$longitude.'), '.$zoom.');
			
			map.setType('.$type_map.');
			
			map.addControl(new YMaps.TypeControl());
            map.addControl(new YMaps.ToolBar());
            map.addControl(new YMaps.Zoom());
			
			var placemark = new YMaps.Placemark(new YMaps.GeoPoint('.$latitude.','.$longitude.'), {style:"'.$style.'"});
			map.addOverlay(placemark);

        })

    </script>

    <div id="YMapsID" style="width:'.$width.'px;height:'.$height.'px;"></div>';
		
		}
		
		
		
		}
	}
		return $output;
	}
}